### Hierarchy

- SVGAngle

## Index

### Properties

- SVG_ANGLETYPE_DEG
- SVG_ANGLETYPE_GRAD
- SVG_ANGLETYPE_RAD
- SVG_ANGLETYPE_UNKNOWN
- SVG_ANGLETYPE_UNSPECIFIED
- unitType
- value
- valueAsString
- valueInSpecifiedUnits

### Methods

- convertToSpecifiedUnits
- newValueSpecifiedUnits

## Properties

### SVG_ANGLETYPE_DEG

SVG_ANGLETYPE_DEG: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12083

### SVG_ANGLETYPE_GRAD

SVG_ANGLETYPE_GRAD: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12084

### SVG_ANGLETYPE_RAD

SVG_ANGLETYPE_RAD: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12085

### SVG_ANGLETYPE_UNKNOWN

SVG_ANGLETYPE_UNKNOWN: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12086

### SVG_ANGLETYPE_UNSPECIFIED

SVG_ANGLETYPE_UNSPECIFIED: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12087

### unitType

unitType: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12077

### value

value: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12078

### valueAsString

valueAsString: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12079

### valueInSpecifiedUnits

valueInSpecifiedUnits: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12080

## Methods

### convertToSpecifiedUnits

- convertToSpecifiedUnits(unitType: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12081

  #### Parameters

  - ##### unitType: number

  #### Returns void

### newValueSpecifiedUnits

- newValueSpecifiedUnits(unitType: number, valueInSpecifiedUnits: number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:12082

  #### Parameters

  - ##### unitType: number

  - ##### valueInSpecifiedUnits: number

  #### Returns void

Generated using TypeDoc